Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class MBeanServerListenerRegistrationFactory

    java.lang.Object
      org.jboss.mx.notification.MBeanServerListenerRegistrationFactory

All Implemented Interfaces:
  ListenerRegistrationFactory

public class MBeanServerListenerRegistrationFactory
extends Object
implements ListenerRegistrationFactory

The listener registration factory to create registrations in the mbeanserver for an object name.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  `ListenerRegistry`, `ListenerRegistration`

Constructor Summary
`MBeanServerListenerRegistrationFactory(ObjectName name, NotificationBroadcaster broadcaster)` Construct a listener registration factory for the given object name

Method Summary
`ListenerRegistration` | `create(NotificationListener listener, NotificationFilter filter, Object handback)` Create a listener registration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerListenerRegistrationFactory

    public MBeanServerListenerRegistrationFactory(ObjectName name,
                                                  NotificationBroadcaster broadcaster)

  Construct a listener registration factory for the given object name

Parameters:
  `name` - the object name
Throws:
  `IllegalArgumentException` - for a null object name

Method Detail

### create

    public ListenerRegistration create(NotificationListener listener,
                                       NotificationFilter filter,
                                       Object handback)

  Description copied from interface: `ListenerRegistrationFactory`
  Create a listener registration

  Specified by:
    `create` in interface `ListenerRegistrationFactory`
  Parameters:
    `listener` - the notification listener
    `filter` - the notification filter
    `handback` - the handback object
  Returns:
    the listener registration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.